Name: bsdftpd-ssl
Version: 1.1.0
Release: 1
Summary: Secure File Transfer Protocol (FTP) server with the TLS/SSL support
License: BSD
Group: System Environment/Daemons
Url: http://bsdftpd-ssl.sc.ru/
Prefix: %{_prefix}

Source0: %{name}-%{version}.tar.gz
Source1: %{name}.pamd
Source2: %{name}.xinetd
Source3: %{name}.ftpchroot
Source4: %{name}.ftpusers
Source5: %{name}.init
Source6: %{name}.sysconfig
Patch: bsdftpd-ssl-1.1.0-rpm-opt-flags.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: openssl-devel
BuildRequires: libtermcap-devel
BuildRequires: krb5-devel
BuildRequires: byacc
Prereq: /sbin/chkconfig, /sbin/service
Obsoletes: bsdftpd-6.0-ssl

%description
BSDftpd-ssl is the secure FTP server that supports industry standard TLS/SSL
encryption and authentication for whole FTP sessions and data transfers. This
implementation is compatible with the original FTP protocol, which is described
in RFC 959, and the TLS/SSL enhancement allows RFC 2228-compliant TLS/SSL
protection for both control and data channels.

This package contains the secure FTP server, an essential documentation, and
also script programs for a basic X.509 certificate management.

%package -n bsdftpd-ssl-client
Summary: File Transfer Protocol (FTP) command-line client utility with the TLS/SSL support
Group: Applications/Internet
Obsoletes: bsdftpclient-ssl

%description -n bsdftpd-ssl-client
This is an implementation of the command-line FTP client that supports industry
standard TLS/SSL encryption and authentication for whole FTP sessions and data
transfers. It is compatible with the original FTP protocol, which is described
in RFC 959, and the TLS/SSL enhancement allows RFC 2228-compliant TLS/SSL
protection for both control and data channels.

This package contains the FTP client utility, an essential documentation, and
also script programs for a basic X.509 certificate management.

%prep
%setup -q -n %name-%version
%patch -p1

%build
./config.sh Linux
#export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -I/usr/kerberos/include"
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%{__make} %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}
%{__mkdir_p} $RPM_BUILD_ROOT%{_mandir}/man{1,3,5,8}
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,rc.d/init.d,sysconfig,xinetd.d}

%{__install} -s -m 555 ftp/ftps $RPM_BUILD_ROOT%{_bindir}/ftps
%{__install} -s -m 555 ftpd/ftpd $RPM_BUILD_ROOT%{_sbindir}/ftpd
%{__install} -m 444 ftp/ftps.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/ftps.1.gz
%{__install} -m 444 ftpd/ftpchroot.5.gz $RPM_BUILD_ROOT%{_mandir}/man5/ftpchroot.5.gz
%{__install} -m 444 ftpd/xferlog.5.gz $RPM_BUILD_ROOT%{_mandir}/man5/xferlog.5.gz
%{__install} -m 444 ftpd/ftpd.8.gz $RPM_BUILD_ROOT%{_mandir}/man8/ftpd.8.gz
%{__install} -m 444 contrib/libedit/editline.3 $RPM_BUILD_ROOT%{_mandir}/man3/ftps-editline.3
%{__gzip} -9 $RPM_BUILD_ROOT%{_mandir}/man3/ftps-editline.3
%{__install} -m 444 contrib/libedit/editrc.5 $RPM_BUILD_ROOT%{_mandir}/man5/ftps-editrc.5
%{__gzip} -9 $RPM_BUILD_ROOT%{_mandir}/man5/ftps-editrc.5
%{__install} -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/ftpd
%{__install} -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/bsdftpd-ssl
%{__install} -m 644 %SOURCE3 $RPM_BUILD_ROOT%{_sysconfdir}/ftpchroot
%{__install} -m 644 %SOURCE4 $RPM_BUILD_ROOT%{_sysconfdir}/ftpusers
%{__install} -m 755 %SOURCE5 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/bsdftpd-ssl
%{__install} -m 644 %SOURCE6 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/bsdftpd-ssl

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %__rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add bsdftpd-ssl

%preun
if [ $1 = 0 ]; then
 /sbin/service bsdftpd-ssl stop > /dev/null 2>&1
 /sbin/chkconfig --del bsdftpd-ssl
fi

%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog INSTALL README cert docs
%{_sbindir}/ftpd
%{_mandir}/man5/ftpchroot.5*
%{_mandir}/man5/xferlog.5*
%{_mandir}/man8/*.8*
%config(noreplace) %{_sysconfdir}/ftpchroot
%config(noreplace) %{_sysconfdir}/ftpusers
%config(noreplace) %{_sysconfdir}/pam.d/ftpd
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%{_sysconfdir}/rc.d/init.d/%{name}

%files -n bsdftpd-ssl-client
%doc COPYRIGHT README INSTALL ChangeLog docs cert
%{_bindir}/ftps
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_mandir}/man5/ftps-editrc.5*

%changelog
* Wed Jun  1 2005 Peter Hanecak <hanecak@megaloman.sk> 1.1.0-1
- synchronized with vanilla bsdftpd-ssl-1.1.0-1 package
- obsoletes old bsdftpd-6.0-ssl and bsdftpclient-ssl packages
- %%{?_smp_mflags} used with 'make'

* Tue May  3 2005 Nick Leuta <skynick@mail.sc.ru>
  [1.1.0-1]
- BSDftpd-ssl 1.1.0 released.
- The /etc/ftpchroot file has been added into the package.
- Some examples have been added into the /etc/ftpusers file.

* Sun Jul 18 2004 Nick Leuta <skynick@mail.sc.ru>
  [1.0.2-1]
- BSDftpd-ssl 1.0.2 released.
- The init script has been implemented to run the FTP server in the daemon
  mode.

* Mon Mar 1 2004 Nick Leuta <skynick@mail.sc.ru>
  [1.0.1-1]
- BSDftpd-ssl 1.0.1 released.
- The default state of the "ftp" service in the xinetd configuration has been
  changed from "enabled" to "disabled". Be careful during upgrade from previous
  versions: the xinetd configuration file can be replaced by the rpm utility,
  so the ftp service will be disabled and is needed to be enabled manually.
- The package name for the TLS/SSL-aware FTP client utility has been changed
  from bsdftpclient-ssl to bsdftpd-ssl-client. Use the "rpm -U" command to
  upgrade this package.

* Tue Nov 25 2003 Nick Leuta <skynick@mail.sc.ru>
  [1.0.0-1]
- Initial release.

* Fri Oct 24 2003 Peter Hanecak <hanecak@megaloman.sk> 0.6.3-1
- update to 0.6.3
- added -I/usr/kerberos/include to CFLAGS

* Mon Jul 29 2002 Peter Hanecak <hanecak@megaloman.sk>
[0.5.4-1]
- initial spec
